## NAME

v.in.tiger.scs - Converts ASCII TIGER data files from the U.S. Dept. of Commerce Bureau of the Census.
(SCS GRASS Vector Program)

## SYNOPSIS

v.in.tiger.scs
v.in.tiger.scs help
v.in.tiger.scs [ -cv] tig1=name tig2=name out=name cfc=name[,name,...]

## DESCRIPTION

This program imports Census line features from TIGER records type1 and type2 into GRASS vector format. Both pre-Census and post-Census data formats can be used. Specific Census Feature Class Codes (CFCC) can be extracted completely or in various combinations. These codes are described in the TIGER/line Census Files 1990 documemtation available from the Bureau of the Census. An additional feature code consisting of the three letters "BOU" may also be specified to extract a county boundary. Condensed Record 1 files may be imported with the -c flag. These files should be identified with a trailing "x" character on the filename.

## COMMAND LINE OPTIONS

### Flags:

-c
  Condensed TIGER file.
-v
  Verbose output.

### Parameters:

tig1=name
  TIGER file 1.
tig2=name
  TIGER file 2.
out=name
  New vector file name.
"cfc=name,name,..."
  Specific Census Feature Class (CFCC) codes.

## EXAMPLE

To extract all Primary (A1) and Secondary (A2) roads from a county's TIGER files the following command would be used:

  v.in.tiger.scs tig1=t12113.1 tig2=t12113.2 out=roads cfc=A1,A2

  To extract all the Hydrographic features in a county's TIGER files with verbose output:

  v.in.tiger.scs -v tig1=t12113.1 tig2=t12113.2 out=hydro cfc=H

  To extract the county boundary the command would be:

  v.in.tiger.scs tig1=t12113.1 tig2=t12113.2 out=bou cfc=BOU

  ## NOTES

  The TIGER files must in sorted order before being used. This can be done by using the following command:

      	sort TGR12113.F21 -o t12113.1
      	sort TGR12113.F22 -o t12113.2

  For consistency the sorted file should be written as above. It should consist of a 't' followed by the State and County FIPS code, then a '.' and then a value to identify the record number.

  The CFCC code 'BOU' used to extract the County Boundary should be used alone as it will result in a polygon AREA being created.

  Currently output is in UTM only.

  ## SEE ALSO

  v.import

  ## AUTHOR

  Paul H. Fukuhara, USDA SCS National Cartographic Center

  Last changed: $Date: 2002/01/25 05:45:35 $